From d8670696d36b08464ecbbfb2c5bb3bb9c283d96b Mon Sep 17 00:00:00 2001
From: Jitesh Shah <jiteshs@marvell.com>
Date: Wed, 1 Jul 2009 15:48:04 +0200
Subject: [PATCH] Warnings not Errors for ARM

Signed-off-by: Jitesh Shah <jiteshs@marvell.com>
---
 metacity-warnings-not-errors-arm.patch |   12 ++++++++++++
 metacity.spec                          |    9 ++++++++-
 2 files changed, 20 insertions(+), 1 deletions(-)
 create mode 100644 metacity-warnings-not-errors-arm.patch

diff --git a/metacity-warnings-not-errors-arm.patch b/metacity-warnings-not-errors-arm.patch
new file mode 100644
index 0000000..cd583bb
--- /dev/null
+++ b/metacity-warnings-not-errors-arm.patch
@@ -0,0 +1,12 @@
+diff -dur metacity-2.26.0.backup/configure.in metacity-2.26.0/configure.in
+--- metacity-2.26.0.backup/configure.in	2009-07-01 02:44:40.976559509 -0400
++++ metacity-2.26.0/configure.in	2009-07-01 02:45:08.636554842 -0400
+@@ -485,7 +485,7 @@
+ 
+ # Warnings are there for a reason
+ if test "x$GCC" = "xyes"; then
+-  CFLAGS="$CFLAGS -Wall -Werror -ansi"
++  CFLAGS="$CFLAGS -Wall -ansi"
+ fi
+ 
+ # Use gnome-doc-utils:
diff --git a/metacity.spec b/metacity.spec
index bf5dc88..fc6715f 100644
--- a/metacity.spec
+++ b/metacity.spec
@@ -1,7 +1,7 @@
 Summary: Unobtrusive window manager
 Name: metacity
 Version: 2.26.0
-Release: 1%{?dist}
+Release: 1%{?dist}.fa1
 URL: http://download.gnome.org/sources/metacity/
 Source0: http://download.gnome.org/sources/metacity/2.26/metacity-%{version}.tar.bz2
 Patch0: default-theme.patch
@@ -13,6 +13,7 @@ Patch5: metacity-canberra.patch
 Patch6: metacity-dont-force-bell.patch
 # fixed upstream
 Patch7: metacity-struts.patch
+Patch10: metacity-warnings-not-errors-arm.patch
 
 License: GPLv2+
 Group: User Interface/Desktops
@@ -77,6 +78,9 @@ API. This package exists purely for technical reasons.
 %patch5 -p1 -b .canberra
 %patch6 -p1 -b .dont-force-bell
 %patch7 -p1 -b .struts
+%ifarch %{arm}
+%patch10 -p1 -b .arm
+%endif
 
 autoreconf -i -f
 
@@ -182,6 +186,9 @@ fi
 %{_mandir}/man1/metacity-window-demo.1.gz
 
 %changelog
+* Wed Jul 01 2009 Jitesh shah <jiteshs@marvell.com> - 2.26.0-1.fa1
+- Warnings are not errors for ARM
+
 * Mon Mar 16 2009 Matthias Clasen  <mclasen@redhat.com> - 2.26.0-1
 - Update to 2.26.0
 
-- 
1.5.5.6

